FreeMat

- Main Page
- Related Pages

vtkContingencyStatistics

Section: Visualization Toolkit Infovis Classes

# Usage

Given a pair of columns of interest, this class provides the following functionalities, depending on the execution mode it is executed in: Learn: calculate contigency tables and corresponding discrete bivariate probability distribution. Assess: given two columns of interest with the same number of entries as input in port INPUT_DATA, and a corresponding bivariate probability distribution,

.SECTION Thanks Thanks to Philippe Pebay and David Thompson from Sandia National Laboratories for implementing this class.

To create an instance of class vtkContingencyStatistics, simply invoke its constructor as follows

      obj = vtkContingencyStatistics

# Methods

The class vtkContingencyStatistics has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkContingencyStatistics class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkContingencyStatistics = obj.NewInstance ()`
- `vtkContingencyStatistics = obj.SafeDownCast (vtkObject o)`
- `obj.Aggregate (vtkDataObjectCollection , vtkDataObject )` - Given a collection of models, calculate aggregate model NB: not implemented